---
description: Repository X-Ray data being included into code generation prompt
internal_events: true
action: include_repository_xray_data_into_code_generation_prompt
identifiers:
- project
- namespace
- user
product_section: dev
product_stage: create
product_group: code_creation
milestone: '16.9'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/142807
distributions:
- ee
tiers:
- premium
- ultimate
